You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2019-03-22 12:22:56

xadax
Member
Registered: 2019-03-22
Posts: 1

MAJ glpi 0.84.6 vers 9.4

Bonjour a tous,

Je rencontre un problème et ne suis visiblement pas le seul.

J'ai actuellement un serveur GLPI sur un Windows 2008R2 dont j'ai sauvegardé la base de donnée via MySqlDump et ai donc obtenu un fichier .SQL (gros car environ 1.8 go).

Je souhaite importer ce fichier .SQL dans une installation existante de GLPI en version 9.4 sur Debian.

Via les commandes MySql, j'arrive à réimporter la base.

C'est lors de la mise en route de GLPI que je rencontre, comme d'autres utilisateurs, un message m'invitant à mettre à jour la base (UPDATE NEEDED), chose que je fais.

La mise à jour se déroule normalement jusqu'à la version 9.2, ça reste bloqué et lorsque j'essaie d'utiliser l'outil de migration j'obtiens une erreur PHP : Undefined index: dbversion in /var/www/html/glpi/inc/config.php at line 214

Je consulte donc le fichier config.php ligne 214 et voici ce que j'ai (malheureusement, mes connaissances ne me permettent pas de décoder !) :

ligne 214 =>    else if (strlen($CFG_GLPI['dbversion']) > 40) {
                            //got a dev version in database, but current stable
                          if (Toolbox::startsWith($CFG_GLPI['dbversion'], GLPI_SCHEMA_VERSION)) {
                          $older = true;
                          } else {
                         $newer = true;
                          }
Je sais qu'il y a eu des gros changements dans la gestion des bases GLPI depuis la version 9.2 et aussi des problèmes avec des bases de données trop volumineuses. Mais à la vue du fichier config.php
je ne sais pas ce qui ne colle pas.

Je vous serai extrêmement reconnaissant d'étudier mon problème et de me proposer une solution (en espérant qu'il en existe une) car ce serait vraiment dommage que je ne puisse pas réimporter tous les tickets et utilisateurs ainsi que le parc matériel. A la main, cela représente pas mal de travail.

Par avance merci à tous,

Last edited by xadax (2019-03-22 12:25:40)

Offline

#2 2019-03-26 15:03:41

yllen
GLPI-DEV
From: Sillery (51)
Registered: 2008-01-14
Posts: 15,035

Re: MAJ glpi 0.84.6 vers 9.4

Appliquer les corrections de la PR : https://github.com/glpi-project/glpi/pull/5685
et relancer la migration.

Attention, la migration en 9.2 est très longue donc je vous conseille de modifier les variables PHP pour la mémoire et la durée de session
max_execution_time 0
memory_limit -1


CentOS 6.5 - CentOS 7
PHP 5.6 - PHP 7 - MySQL 5.6  + APC + oOPcache
GLPI from 0.72 to dev version
Certifiée ITIL (ITV2F, ITILF, ITILOSA)

Offline

#3 2019-03-26 15:11:37

cedric-anne
Guest
Registered: 2018-07-02
Posts: 13

Re: MAJ glpi 0.84.6 vers 9.4

Bonjour,

Pour la mise à jour, voici la procédure exacte à suivre:
0. Sauvegarder la base et les fichiers de la précédente installation.
1. Installer la nouvelle version du code dans un dossier vierge.
2. Copier dans ce dossier les dossiers config, files et plugins de l'installation précédente.
3. Importer la base de données de la version précédente dans une base de données vierge (pour éviter que des données nouvellement installées ou migrées partiellement aient une incidence sur la mise à jour).
4. Lancer la mise à jour.

Sur une base volumineuse, je vous conseille de passer par l'outil en ligne de commande, et d'augmenter le niveau de verbosité : "php bin/console db:update -vvv".

Je ne sais pas pourquoi vous avez cette erreur PHP, mais elle ne me semble pas être responsable du blocage dans la mise à jour.

Offline

#4 2019-03-26 16:03:57

yllen
GLPI-DEV
From: Sillery (51)
Registered: 2008-01-14
Posts: 15,035

Re: MAJ glpi 0.84.6 vers 9.4

cedric_anne: si c'est une mise à jour vers une version majeur, il ne faut surtout pas copier le dossier plugins de l'installation précédente.
De plus, dans le dossier files il ne faut reprendre que les dossiers concernant les documents, c'est-à-dire des sous-dossiers donc le nom est en majuscule et correspond à un nom d'extension (DOCX, PDF, JPG...)
ou alors il faut vider tous les logs, les caches, les sessions...


CentOS 6.5 - CentOS 7
PHP 5.6 - PHP 7 - MySQL 5.6  + APC + oOPcache
GLPI from 0.72 to dev version
Certifiée ITIL (ITV2F, ITILF, ITILOSA)

Offline

Board footer

Powered by FluxBB